Bug 142017 - SPIT-AND-POLISH GTK3: new list style's highlighted name cannot just be overwritten without re-selecting.
Summary: SPIT-AND-POLISH GTK3: new list style's highlighted name cannot just be overwr...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.0.3 release
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.2.0 target:7.1.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2021-05-01 13:06 UTC by Justin L
Modified: 2021-05-10 14:54 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Justin L 2021-05-01 13:06:44 UTC
With a new list style, although the "Untitled 1" style name is highlighted, just typing doesn't begin entering the new name.

Steps to reproduce.
1.) Open Writer and go to numbering/list styles.
2.) right click and chose "New" style.
3.) type "something" as the new name for the style (assuming the "Organizer" tab is shown).

Prior to 6.2, this worked. But it stopped with:
author	Caolán McNamara on 2018-11-17 17:49:45 +0100
commit	35d548e414903c9f513c0899a2bab475ff56d0f0
    weld writer numbering styles dialog

The same thing is true for all of these welded styles now - Paragraph, Character, Page, etc.
Comment 1 Justin L 2021-05-01 13:16:06 UTC
This sounds very similar to bug 141499, but still fails in an April 23 compile.
Comment 2 Justin L 2021-05-01 13:22:50 UTC
GTK issue. SAL_USE_VCLPLUGIN=gen instdir/program/soffice is fine.
Comment 3 Caolán McNamara 2021-05-04 09:07:15 UTC
I think this is just where the toolkit puts the focus by default into the tabcontrol/notebook. vcl into the first candidate in the page and gtk into the tab of the page.

If, in gtk, I then click in the other tabs then the focus is in the selected tab itself. If I click in the GtkEntry on that first page and then click in the other tabs the focus is in the page so gtk keeps the focus in the matching location where it was on switching tabs.

We don't want to forcibly grab the focus on switching pages but would prefer to have the default in the body of the page. Grabing the focus in the ctor seems enough to set the body as the default focus.
Comment 4 Commit Notification 2021-05-04 11:38:39 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/da55e2a11376da54be3159742e3c11018b3250bc

tdf#142017 set default focus widget

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Caolán McNamara 2021-05-04 11:39:48 UTC
that seems to do the right thing, backport to 7-1 in gerrit
Comment 6 Commit Notification 2021-05-04 19:39:26 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/73759beea46a7aa5b7c7c2dbc65cccf868a6af04

tdf#142017 set default focus widget

It will be available in 7.1.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Xisco Faulí 2021-05-10 14:54:33 UTC
Verified in

Version: 7.2.0.0.alpha0+ / LibreOffice Community
Build ID: d4f116d9576453f5974eb63db37a33c59ac53bc9
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!!